version: '3.7'

services:
  backend-infra:
    container_name: backend-infra
    image: tandavala/backend-infra:${TAG}
    extends:
      file: docker-compose.base.yml
      service: core
    command: npx nx serve backend
    ports:
      - "${APP_PORT}:${APP_PORT}"
    networks:
      - app_network
    volumes:
      - .:/opt/app
      - /opt/app/node_modules

networks:
  app_network:

